Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ORB_Core.cpp File Reference

`#include "ORB_Core.h"`
`#include "ORB_Table.h"`
`#include "TAO_Internal.h"`
`#include "default_server.h"`
`#include "Profile.h"`
`#include "Stub.h"`
`#include "LF_Follower.h"`
`#include "Leader_Follower.h"`
`#include "LF_Event_Loop_Thread_Helper.h"`
`#include "Connector_Registry.h"`
`#include "Sync_Strategies.h"`
`#include "Object_Loader.h"`
`#include "ObjectIdListC.h"`
`#include "BiDir_Adapter.h"`
`#include "Collocation_Resolver.h"`
`#include "Flushing_Strategy.h"`
`#include "Request_Dispatcher.h"`
`#include "Stub_Factory.h"`
`#include "Thread_Lane_Resources.h"`
`#include "Thread_Lane_Resources_Manager.h"`
`#include "TSS_Resources.h"`
`#include "Protocols_Hooks.h"`
`#include "IORInterceptor_Adapter.h"`
`#include "IORInterceptor_Adapter_Factory.h"`
`#include "debug.h"`
`#include "TAOC.h"`
`#include "Endpoint_Selector_Factory.h"`
`#include "Client_Strategy_Factory.h"`
`#include "ClientRequestInfo.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Argv_Type_Converter.h"`
`#include "ace/streams.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ORB_Core.i"`

Include dependency graph for ORB_Core.cpp:

## Functions
const char * | get_rcsid_tao_ORB_Core (const char *)
CORBA::Environment & | TAO_default_environment (void)
TAO_Export TAO_ORB_Core * | TAO_ORB_Core_instance (void)
## Variables
const char * | rcsid_tao_ORB_Core = get_rcsid_tao_ORB_Core ( rcsid_tao_ORB_Core )

## Function Documentation

const char* get_rcsid_tao_ORB_Core | ( | const char * |  | ) | `[inline, static]`

CORBA::Environment& TAO_default_environment | ( | void |  | ) |

| Note: We tried with CORBA::default_environment() and others.

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance | ( | void |  | ) |

| Obtain an instance of the first ORB core registered in the ORB table.

## Variable Documentation

const char* rcsid_tao_ORB_Core = get_rcsid_tao_ORB_Core ( rcsid_tao_ORB_Core )`[static]`